AbstractCollectionInitializor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy.initializor
Class AbstractCollectionInitializor<T>

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor<T>

All Implemented Interfaces:
  Initializor<T>

Direct Known Subclasses:
  ArrayCollectionInitializor, BasicCollectionInitializor, ListCollectionInitializor, MapCollectionInitializor

    public abstract class AbstractCollectionInitializor<T>

extends Object
implements Initializor<T>

Initializes a persistent collection.

Field Summary
`protected EntityInstantiator` | `entityInstantiator`
`protected Number` | `revision`

Constructor Summary
`AbstractCollectionInitializor(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, RelationQueryGenerator queryGenerator, Object primaryKey, Number revision)`

Method Summary
`protected abstract void` | `addToCollection(T collection, Object collectionRow)`
`T` | `initialize()`
`protected abstract T` | `initializeCollection(int size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### revision

    protected final Number revision

### entityInstantiator

    protected final EntityInstantiator entityInstantiator

Constructor Detail

### AbstractCollectionInitializor

    public AbstractCollectionInitializor(AuditConfiguration verCfg,
                                         AuditReaderImplementor versionsReader,
                                         RelationQueryGenerator queryGenerator,
                                         Object primaryKey,
                                         Number revision)

Method Detail

### initializeCollection

    protected abstract T initializeCollection(int size)

### addToCollection

    protected abstract void addToCollection(T collection,
                                            Object collectionRow)

### initialize

    public T initialize()

  Specified by:
    `initialize` in interface `Initializor<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.